#version 120

uniform float blindness;
uniform sampler2D texture;

varying vec2 texcoord;
varying vec4 tint;

void main() {
	vec4 color = texture2D(texture, texcoord) * tint;

	color *= 1.0 - blindness;

/* DRAWBUFFERS:0 */
	gl_FragData[0] = color; //gcolor
}