#version 120

#include "lib/defines.glsl"

uniform ivec2 eyeBrightnessSmooth;

varying float eyeAdjust; //How much brighter to make the world
varying vec2 texcoord;

void main() {
	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	gl_Position = ftransform();

	eyeAdjust = mix(EYE_ADJUST_NETHER_DARK, EYE_ADJUST_NETHER_LIGHT, eyeBrightnessSmooth.x / 240.0);
}